%define upstream_name	 HTTP-BrowserDetect
%define upstream_version 3.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Determine the Web browser, version, and platform from an HTTP user agent string
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(JSON::PP) >= 4.40.0
BuildRequires: perl(List::Util) >= 1.490.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The HTTP::BrowserDetect object does a number of tests on an HTTP user agent
string. The results of these tests are available via methods of the object.

This module is based upon the JavaScript browser detection code available at
https://www.mozilla.org/docs/web-developer/sniffer/browser_type.html.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e 's/\015$//' README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml TODO examples
%{perl_vendorlib}/HTTP
%{_mandir}/*/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.410.0-2.mga10
+ Revision: 2228646
- Mageia 10 Mass Rebuild

* Sat Oct 05 2024 tv <tv> 3.410.0-1.mga10
+ Revision: 2103430
- update to 3.41

* Mon Oct 23 2023 tv <tv> 3.400.0-1.mga10
+ Revision: 2000312
- update to 3.40

* Sun Sep 10 2023 tv <tv> 3.390.0-1.mga10
+ Revision: 1985725
- update to 3.39

* Tue Aug 29 2023 tv <tv> 3.380.0-1.mga10
+ Revision: 1980977
- update to 3.38

* Thu Sep 22 2022 tv <tv> 3.370.0-1.mga9
+ Revision: 1891477
- update to 3.37

* Mon Sep 05 2022 tv <tv> 3.360.0-1.mga9
+ Revision: 1884061
- update to 3.36

* Mon Mar 21 2022 umeabot <umeabot> 3.350.0-2.mga9
+ Revision: 1815037
- Mageia 9 Mass Rebuild

* Thu Oct 28 2021 tv <tv> 3.350.0-1.mga9
+ Revision: 1753013
- update to 3.35

* Thu Aug 05 2021 tv <tv> 3.340.0-1.mga9
+ Revision: 1739493
- update to 3.34

* Mon Jul 26 2021 tv <tv> 3.330.0-1.mga9
+ Revision: 1737894
- update to 3.33

* Thu Jul 22 2021 tv <tv> 3.320.0-1.mga9
+ Revision: 1737366
- update to 3.32

* Sat Aug 01 2020 tv <tv> 3.310.0-1.mga8
+ Revision: 1610095
- update to 3.31

* Tue Jul 21 2020 tv <tv> 3.300.0-1.mga8
+ Revision: 1607543
- update to 3.30

* Thu Jul 16 2020 tv <tv> 3.290.0-1.mga8
+ Revision: 1606450
- update to 3.29

* Mon Jul 13 2020 tv <tv> 3.280.0-1.mga8
+ Revision: 1605810
- update to 3.28

* Thu Apr 16 2020 tv <tv> 3.270.0-1.mga8
+ Revision: 1567734
- update to 3.27

* Tue Mar 17 2020 tv <tv> 3.260.0-1.mga8
+ Revision: 1557229
- update to 3.26

* Tue Feb 18 2020 umeabot <umeabot> 3.250.0-2.mga8
+ Revision: 1538564
- Mageia 8 Mass Rebuild

* Fri Nov 22 2019 tv <tv> 3.250.0-1.mga8
+ Revision: 1462174
- update to 3.25

* Sun Nov 03 2019 tv <tv> 3.240.0-1.mga8
+ Revision: 1457449
- update to 3.24

* Fri Apr 05 2019 tv <tv> 3.230.0-1.mga7
+ Revision: 1385932
- update to 3.23

* Thu Mar 07 2019 tv <tv> 3.220.0-1.mga7
+ Revision: 1372249
- update to 3.22

* Tue Feb 05 2019 tv <tv> 3.210.0-1.mga7
+ Revision: 1363323
- update to 3.21

* Wed Dec 05 2018 tv <tv> 3.200.0-1.mga7
+ Revision: 1338432
- update to 3.20

* Thu Oct 11 2018 tv <tv> 3.190.0-1.mga7
+ Revision: 1319700
- new release

* Wed Oct 10 2018 tv <tv> 3.180.0-1.mga7
+ Revision: 1319389
- update to 3.18

* Thu Oct 04 2018 tv <tv> 3.170.0-1.mga7
+ Revision: 1317296
- update to 3.17

* Thu Sep 20 2018 umeabot <umeabot> 3.160.0-2.mga7
+ Revision: 1283985
- Mageia 7 Mass Rebuild

* Fri Jan 05 2018 tv <tv> 3.160.0-1.mga7
+ Revision: 1190478
- update to 3.16

* Sat Jul 22 2017 shlomif <shlomif> 3.140.0-1.mga7
+ Revision: 1128631
- update to 3.14

* Sun May 08 2016 shlomif <shlomif> 3.120.0-1.mga6
+ Revision: 1010668
- update to 3.12

* Thu Apr 14 2016 shlomif <shlomif> 3.100.0-1.mga6
+ Revision: 1001379
- update to 3.10

* Sun Mar 13 2016 shlomif <shlomif> 3.0.0-1.mga6
+ Revision: 989822
- update to 3.00

* Wed Feb 10 2016 shlomif <shlomif> 2.80.0-1.mga6
+ Revision: 953357
- update to 2.08

* Sat Jan 16 2016 shlomif <shlomif> 2.70.0-1.mga6
+ Revision: 923774
- update to 2.07

* Thu Jul 30 2015 sander85 <sander85> 2.50.0-1.mga6
+ Revision: 859031
- update to 2.05

* Sun Jul 05 2015 sander85 <sander85> 2.40.0-1.mga6
+ Revision: 851503
- update to 2.04

* Sat Oct 18 2014 umeabot <umeabot> 1.750.0-4.mga5
+ Revision: 788141
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.750.0-3.mga5
+ Revision: 745957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.750.0-2.mga5
+ Revision: 684994
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 sander85 <sander85> 1.750.0-1.mga5
+ Revision: 669070
- update to 1.75

* Sat Aug 16 2014 sander85 <sander85> 1.730.0-1.mga5
+ Revision: 664250
- update to 1.73

* Sat Jun 21 2014 sander85 <sander85> 1.720.0-1.mga5
+ Revision: 638350
- update to 1.72

* Tue May 20 2014 jquelin <jquelin> 1.710.0-1.mga5
+ Revision: 624289
- update to 1.71

* Tue Apr 15 2014 jquelin <jquelin> 1.700.0-1.mga5
+ Revision: 614816
- update to 1.70

* Mon Feb 10 2014 jquelin <jquelin> 1.690.0-1.mga5
+ Revision: 588409
- update to 1.69

* Sat Oct 19 2013 umeabot <umeabot> 1.610.0-2.mga4
+ Revision: 534098
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.610.0-1.mga4
+ Revision: 476278
- update to 1.61

* Fri Aug 30 2013 sander85 <sander85> 1.600.0-1.mga4
+ Revision: 473286
- update to 1.60

* Mon Aug 19 2013 sander85 <sander85> 1.590.0-1.mga4
+ Revision: 467743
- update to 1.59

* Fri Aug 16 2013 sander85 <sander85> 1.570.0-1.mga4
+ Revision: 466879
- update to 1.57

* Tue Jul 23 2013 sander85 <sander85> 1.550.0-1.mga4
+ Revision: 457389
- update to 1.55

* Mon Jul 22 2013 sander85 <sander85> 1.540.0-1.mga4
+ Revision: 457049
- update to 1.54

* Sun Jan 13 2013 umeabot <umeabot> 1.470.0-2.mga3
+ Revision: 368257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.470.0-1.mga3
+ Revision: 342195
- update to 1.47

* Tue Jun 05 2012 jquelin <jquelin> 1.440.0-1.mga3
+ Revision: 254998
- update to 1.44

* Tue Mar 06 2012 jquelin <jquelin> 1.420.0-1.mga2
+ Revision: 219974
- update to 1.42

* Wed Jan 25 2012 jquelin <jquelin> 1.410.0-1.mga2
+ Revision: 200886
- update to 1.41

* Fri Jan 06 2012 jquelin <jquelin> 1.400.0-1.mga2
+ Revision: 192598
- update to 1.40

* Thu Dec 08 2011 kharec <kharec> 1.390.0-1.mga2
+ Revision: 179194
- update to 1.39

* Thu Nov 10 2011 kharec <kharec> 1.360.0-1.mga2
+ Revision: 166327
- update to 1.36

* Sat Nov 05 2011 kharec <kharec> 1.350.0-1.mga2
+ Revision: 163570
- update to 1.35

* Thu Nov 03 2011 jquelin <jquelin> 1.340.0-1.mga2
+ Revision: 162219
- update to 1.34

* Thu Oct 13 2011 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 154317
- update to 1.32

* Mon Sep 26 2011 jquelin <jquelin> 1.300.0-1.mga2
+ Revision: 148091
- update to 1.30

* Fri Sep 02 2011 kharec <kharec> 1.290.0-1.mga2
+ Revision: 137920
- update to 1.29

* Thu Sep 01 2011 jquelin <jquelin> 1.280.0-1.mga2
+ Revision: 137550
- update to 1.28
- update to 1.26

* Wed Jun 15 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 106987
- update to 1.24

* Sun Mar 13 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 70485
- update to 1.22

* Sun Jan 23 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 33819
- mageia rebuild
- imported package perl-HTTP-BrowserDetect


* Sun Dec 26 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.210.0-1mdv2011.0
+ Revision: 625271
- update to new version 1.21

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 601875
- update to new version 1.20
- update to new version 1.19

* Tue Aug 31 2010 Jérôme Quelin <jquelin@mandriva.org> 1.170.0-1mdv2011.0
+ Revision: 574788
- update to 1.17

* Sun Aug 22 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.160.0-1mdv2011.0
+ Revision: 572058
- new version

* Fri Aug 13 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.130.0-1mdv2011.0
+ Revision: 569458
- new version

* Sun Aug 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.120.0-1mdv2011.0
+ Revision: 567735
- new version

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2011.0
+ Revision: 552319
- update to 1.11

* Tue Apr 06 2010 Jérôme Quelin <jquelin@mandriva.org> 1.90.0-1mdv2010.1
+ Revision: 532149
- update to 1.09

* Sun Mar 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.80.0-1mdv2010.1
+ Revision: 526036
- new version

* Thu Feb 11 2010 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.1
+ Revision: 504072
- update to 1.07

* Fri Nov 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.1
+ Revision: 470468
- adding missing buildrequires:
- update to 1.06

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.1
+ Revision: 461385
- adding missing buildrequires:
- update to 1.03

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.990.0-1mdv2010.0
+ Revision: 403266
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.99-3mdv2009.0
+ Revision: 268525
- rebuild early 2009.0 package (before pixel changes)

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.99-2mdv2009.0
+ Revision: 210958
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.99-1mdv2008.0
+ Revision: 20185
- 0.99


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.98-3mdv2007.0
- Rebuild

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.98-2mdk
- Rebuild
- better sources URL
- better buildrequires syntax

* Mon Apr 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.98-1mdk 
- first mandriva release

